<div class="page-layout carded fullwidth inner-scroll">

  <!-- TOP BACKGROUND -->
  <div class="top-bg {{secondColorBrand}}"></div>
  <!-- / TOP BACKGROUND -->

  <!-- CENTER -->
  <div class="center">

    <!-- HEADER -->
    <div class="header white-fg" fxLayout="row" fxLayoutAlign="space-between center">

      <!-- APP TITLE -->
      <div fxLayout="row" fxLayoutAlign="start center">

        <button class="mr-16" mat-icon-button [routerLink]="'/insurance/quotes'">
          <mat-icon>arrow_back</mat-icon>
        </button>

        <div fxLayout="column" fxLayoutAlign="start start" *fuseIfOnDom [@animate]="{value:'*',params:{delay:'100ms',x:'-25px'}}">
          <div class="h2">
            COTAÇÃO - #{{quote.id}}
          </div>
          <div class="subtitle secondary-text">
            <!-- <span>{{quoteStatusAsString(quote.status)}}</span> -->
            <span *ngIf="quote && quote.insurerStatusId" [ngClass]="quote && (quote.insurerStatusId == 'REFUSED' || quote.insurerStatusId == 'CANCELLED') ? 'red-fg' : '' ">{{quote.insurerStatusDescription}}</span>
            <span *ngIf="quote && !quote.insurerStatusId">{{quoteStatusAsString(quote.status)}}</span>
          </div>
        </div>
      </div>

      <div fxLayout="row" fxLayoutAlign="center end" fxLayoutGap="10px">
        <button type="button" [hidden]="(quote && quote.id) ? false : true " mat-raised-button color="warn" mat-button
          (click)="cancelQuote()">
          Cancelar
        </button>
      </div>
    </div>
    <!-- / HEADER -->

    <!-- CONTENT CARD -->
    <div class="content-card mat-white-bg">

      <!-- CONTENT -->
      <div class="content" id="contentScroll">

        <mat-horizontal-stepper [linear]="true" #stepper>

          <!-- OFFERS STEP -->
          <mat-step *ngIf="!quoteIsLoad && offersList && offersList.length > 1">
            <ng-template matStepLabel>Produtos</ng-template>
            <div fxFlex="100" fxLayout="row" fxLayoutAlign="center stretch" fxLayoutGap="10px">


              <div class="price-tables" fxLayout="row wrap" fxLayoutAlign="center">

                <div class="price-table style-1" fxLayout="column" *ngFor="let offer of offersList" style="width: 300px; ">

                  <div class="content mat-elevation-z2" fxLayout="column" style="background-color:rgb(233, 232, 232)">

                    <div class="package-type" [ngClass]="primaryColorBrand" style="height:80px;">
                      <div class="title"><b>{{offer.name}}</b></div>
                    </div>

                    <div class="terms" fxLayout="column">
                      <div class="term">
                        <b>Descrição</b>
                      </div>
                      <span>
                        &nbsp;&nbsp;&nbsp;&nbsp;- {{offer.description}}
                      </span>
                    </div>

                    <span layout="row" *ngIf="offer.products  && offer.products.length > 0">
                      <hr flex /></span>

                    <div class="terms" fxLayout="column" *ngIf="offer.products  && offer.products.length > 0">
                      <div class="term">
                        <b>Produtos</b>
                      </div>
                      <div *ngIf="offer.products  && offer.products.length > 0">
                        <span *ngFor="let product of offer.products">&nbsp;&nbsp;&nbsp;&nbsp;{{product.name ?
                          '-&nbsp;&nbsp;' + product.name : ''}}<br></span>
                      </div>
                    </div>
                    <span layout="row" *ngIf="offer.services  && offer.services.length > 0">
                      <hr flex /></span>

                    <div class="terms" fxLayout="column" *ngIf="offer.services  && offer.services.length > 0">
                      <div class="term">
                        <b>Serviços</b>
                      </div>
                      <div *ngIf="offer.services  && offer.services.length > 0">
                        <span *ngFor="let service of offer.services">&nbsp;&nbsp;&nbsp;&nbsp;{{service.name ?
                          '-&nbsp;&nbsp;' + service.name : ''}}<br></span>
                      </div>
                    </div>

                    <span layout="row">
                      <hr flex /></span>
                    <div class="terms" fxLayout="column">
                      <div class="term">
                        &nbsp;&nbsp;
                      </div>
                    </div>
                    <button mat-raised-button matStepperNext style="height:60px; font-size: 18px; padding: 5px 5px 5px 5px;"
                      [ngClass]="secondColorBrand" (click)="setOffer(stepper,offer)">
                      {{ (quote && quote.offer == offer.id) ? 'Escolhido' : 'Escolher' }}
                    </button>
                  </div>

                </div>
              </div>
            </div>

          </mat-step>
          <!-- // OFFERS STEP -->

          <!-- VEHICLE STEP -->
          <mat-step [completed]="perfilStepCompleted">
            <ng-template matStepLabel>Perfil</ng-template>

            <div class="panel">
              <div class="panel-title" [ngClass]="primaryColorBrand">
                <span>
                  <mat-icon>directions_car</mat-icon>
                </span>
                <span>&nbsp;Veículo</span>
              </div>
              <div class="panel-content">

                <form [formGroup]="vehicleForm">
                  <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">

                    <mat-form-field fxFlex="100">
                      <mat-select placeholder="Uso do veículo" formControlName="vehicleUse" required>
                        <mat-option *ngFor="let item of vehicleUseList" [value]="item.id">
                          {{item.name}}
                        </mat-option>
                      </mat-select>
                    </mat-form-field>

                  </div>

                  <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">

                    <mat-form-field fxFlex="50">
                      <mat-select placeholder="Marca" formControlName="manufacture" (selectionChange)="changeModel($event.value,null)"
                        required>
                        <mat-option *ngFor="let manufacture of manufactureList" [value]="manufacture['id']">
                          {{manufacture['name']}}
                        </mat-option>
                      </mat-select>
                    </mat-form-field>

                    <mat-form-field fxFlex="50">

                      <input type="text" placeholder="Modelo" matInput formControlName="model" [formControl]="modelControl"
                        [matAutocomplete]="auto" required>
                      <mat-autocomplete autoActiveFirstOption #auto="matAutocomplete" (optionSelected)='changeSelectedYears($event.option.value)'>
                        <mat-option *ngFor="let model of filteredOptions | async" [value]="model['name']">
                          {{model['name']}}
                        </mat-option>
                      </mat-autocomplete>
                    </mat-form-field>
                  </div>

                  <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">

                    <mat-form-field fxFlex="50">
                      <mat-select placeholder="Ano de fabricação" formControlName="registrationYear" (selectionChange)="changeVehicle($event.value,null)"
                        required>
                        <mat-option *ngFor="let model of yearsList" [value]="model['idModeloAno']">
                          {{model['name']}}
                        </mat-option>
                      </mat-select>
                    </mat-form-field>

                    <mat-form-field fxFlex="50">
                      <mat-select placeholder="Ano do modelo" formControlName="modelYear" required>

                        <mat-option *ngFor="let year of registrationYearList" [value]="year">
                          {{year}}
                        </mat-option>
                      </mat-select>
                    </mat-form-field>

                  </div>

                </form>
              </div>

            </div>

            <div class="panel">
              <div class="panel-title" [ngClass]="primaryColorBrand">
                <span>
                  <mat-icon class="white-fg">directions_car</mat-icon>
                </span>
                <span class="white-fg">&nbsp;Informações Adicionais Veículo</span>
              </div>
              <div class="panel-content">
                <form [formGroup]="vehicleAdditionalInformation">
                  <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                    <mat-form-field fxFlex="50">
                      <mat-select placeholder="O veículo é zero km?" formControlName="brandNew" required>
                        <mat-option *ngFor="let status of statusList" [value]="status.type">
                          {{ status.text }}
                        </mat-option>
                      </mat-select>
                    </mat-form-field>

                    <mat-form-field fxFlex="50">
                      <mat-select placeholder="Qual a utilização do veículo?" formControlName="vehicleUseType" required>
                        <mat-option *ngFor="let vehicleUseType of vehicleUseTypeList" [value]="vehicleUseType.code">
                          {{ vehicleUseType.text }}
                        </mat-option>
                      </mat-select>
                    </mat-form-field>
                  </div>
                  <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">

                    <mat-form-field fxFlex="100">
                      <mat-select placeholder="O veículo é turbo, rebaixado, tunado ou possui outras modificações? "
                        (selectionChange)="changeModificationType($event.value)" formControlName="vehicleModificationType"
                        required>
                        <mat-option *ngFor="let vehicleModificationType of vehicleModificationTypeList" [value]="vehicleModificationType.code">
                          {{ vehicleModificationType.text }}
                        </mat-option>
                      </mat-select>
                    </mat-form-field>

                  </div>
                  <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                    <mat-form-field fxFlex="100">
                      <mat-select placeholder="O Veículo possui adaptação para pessoa com deficiência (PCD)?"
                        formControlName="vehiclePcd" required>
                        <mat-option *ngFor="let vehiclePcd of vehiclePcdList" [value]="vehiclePcd.code">
                          {{ vehiclePcd.text }}
                        </mat-option>
                      </mat-select>
                    </mat-form-field>

                  </div>
                  <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                    <mat-form-field fxFlex="50">
                      <mat-select placeholder="O veículo é modificado com Kit Gás (GNV)?" formControlName="gnv"
                        required>
                        <mat-option *ngFor="let status of statusList" [value]="status.type">
                          {{ status.text }}
                        </mat-option>
                      </mat-select>
                    </mat-form-field>

                    <mat-form-field fxFlex="50">
                      <mat-select placeholder="O veículo é blindado?" formControlName="armored" (optionSelected)='changearmored($event.option.value)'
                        required>
                        <mat-option *ngFor="let status of statusList" [value]="status.type">
                          {{ status.text }}
                        </mat-option>
                      </mat-select>
                    </mat-form-field>
                  </div>

                </form>
              </div>
            </div>

            <div class="panel">
              <div class="panel-title" [ngClass]="primaryColorBrand">
                <span>
                  <mat-icon>assignment_ind</mat-icon>
                </span>
                <span>&nbsp;Dados do Seguro (anterior ou renovação)</span>
              </div>
              <div class="panel-content">
                <form [formGroup]="secureForm" novalidate>

                  <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">

                    <mat-form-field fxFlex="100">
                      <mat-select placeholder="É renovação?" formControlName="renovationType" #renovationType required>
                        <mat-option *ngFor="let renovationType of renovationTypeList" [value]="renovationType.code">
                          {{renovationType.text}}
                        </mat-option>
                      </mat-select>
                    </mat-form-field>

                  </div>

                  <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">

                    <mat-form-field fxFlex="100">
                      <mat-select placeholder="Número de Roubos ou Furtos de veículos nos últimos 12 meses"
                        formControlName="vehicleLastYearThefts">
                        <mat-option *ngFor="let vehicleLastYearThefts of vehicleIncidentsList" [value]="vehicleLastYearThefts.code">
                          {{ vehicleLastYearThefts.text }}
                        </mat-option>
                      </mat-select>
                    </mat-form-field>

                  </div>

                  <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">


                    <mat-form-field fxFlex="100">
                      <mat-select placeholder="Número de Sinistros Cobertos, colisões, batidas, danos ao veículo ou a terceiros nos últimos 12 meses?"
                        formControlName="vehicleIncidents">
                        <mat-option *ngFor="let vehicleIncidents of vehicleIncidentsList" [value]="vehicleIncidents.code">
                          {{ vehicleIncidents.text }}
                        </mat-option>
                      </mat-select>
                    </mat-form-field>

                  </div>

                  <div *ngIf="secureForm.value.renovationType == '3' " fxLayout="row" fxLayoutAlign="start center"
                    fxLayoutGap="10px" style="background-color: rgb(214, 212, 212)">

                    <mat-form-field fxFlex="50" style="padding: 0px 0px 0px 15px;">
                      <mat-select placeholder="Classe de bônus da apólice" formControlName="currentPolicyBonusId"
                        required>
                        <mat-option *ngFor="let currentPolicyBonusId of currentPolicyBonusIdList" [value]="currentPolicyBonusId.code">
                          {{currentPolicyBonusId.text}}
                        </mat-option>
                      </mat-select>
                    </mat-form-field>
                    <mat-form-field fxFlex="50" style="padding: 0px 15px 0px 0px;">
                      <mat-select placeholder="Seguradora da apólice" formControlName="insurerPolicyId">
                        <mat-option *ngFor="let insurerPolicyId of insurerPolicyIdList" [value]="insurerPolicyId.code">
                          {{ insurerPolicyId.text }}
                        </mat-option>
                      </mat-select>
                    </mat-form-field>

                  </div>

                  <div *ngIf="secureForm.value.renovationType == '3' " fxLayout="row" fxLayoutAlign="start center"
                    fxLayoutGap="10px" style="background-color: rgb(214, 212, 212)">

                    <mat-form-field fxFlex="50" style="padding: 0px 0px 0px 15px;">
                      <input matInput placeholder="Número CI" formControlName="currentPolicyBonusIdClass" required>
                    </mat-form-field>
                    <mat-form-field fxFlex="50" style="padding: 0px 15px 0px 0px;">
                      <input matInput placeholder="Data final da vigência da apólice" formControlName="currentPolicyEndValidity"
                        [textMask]="{mask: dateMask}" required>
                    </mat-form-field>

                  </div>

                  <div *ngIf="secureForm.value.renovationType == '3' " fxLayout="row" fxLayoutAlign="start center"
                    fxLayoutGap="10px" style="background-color: rgb(214, 212, 212)">

                    <mat-form-field fxFlex="100" style="padding: 0px 15px 0px 15px;">
                      <input matInput placeholder="Número da apólice congênere" formControlName="currentPolicyId"
                        required>
                    </mat-form-field>

                  </div>


                </form>
              </div>
            </div>


            <div fxLayout="row" fxLayoutAlign="end end">

              <button mat-raised-button color="primary" [disabled]="isTuned" (click)="validateVehicleFilds()">
                Próximo
              </button>

            </div>
          </mat-step>
          <!-- // VEHICLE STEP -->


          <!-- CONDUCTOR STEP -->
          <mat-step [completed]="conductorStepCompleted">
            <ng-template matStepLabel>Condutor</ng-template>

            <div class="panel">
              <div class="panel-title" [ngClass]="primaryColorBrand">
                <span>
                  <mat-icon>assignment_ind</mat-icon>
                </span>
                <span>&nbsp;Informações sobre o Condutor</span>
              </div>

              <tnm-customer-personal></tnm-customer-personal>
              <div class="panel-content">
                <form [formGroup]="dataForm" novalidate>

                  <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">

                    <!-- <mat-form-field fxFlex="50">
                      <mat-select placeholder="Segurado" formControlName="personType" #personType (selectionChange)="personTypeSelected($event)"
                        required>
                        <mat-option *ngFor="let item of personTypeList" [value]="item.code">
                          {{item.name}}
                        </mat-option>
                      </mat-select>
                    </mat-form-field> -->

                    <mat-form-field fxFlex="50">
                      <input matInput placeholder="Tel. Residencial" formControlName="residencialPhone" [textMask]="{mask: phoneMask}"
                        required>
                    </mat-form-field>
                    <mat-form-field fxFlex="50">
                      <mat-select placeholder="O Segurado é o condutor principal?" formControlName="vehicleOwner"
                        [(value)]="dataForm.value.vehicleOwner" #customerMotorist (selectionChange)="changeCustomerMotorist($event.value)"
                        required>
                        <mat-option *ngFor="let status of statusList" [value]="status.type">
                          {{ status.text }}
                        </mat-option>
                      </mat-select>
                    </mat-form-field>

                  </div>

                  <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">

                    <mat-form-field fxFlex="50">
                      <mat-select placeholder="Tipo de condutor" formControlName="motoristPersonType"
                        #motoristPersonType required>
                        <mat-option *ngFor="let motoristPersonType of motoristPersonTypeList" [value]="motoristPersonType.code">
                          {{ motoristPersonType.text }}
                        </mat-option>
                      </mat-select>
                    </mat-form-field>

                    <mat-form-field fxFlex="50">
                      <mat-select placeholder="Qual a relação do segurado com o proprietário do veículo?"
                        formControlName="relationshipWithVehicleOwner" [(value)]="dataForm.value.relationshipWithVehicleOwner"
                        #relationshipWithVehicleOwner required>
                        <mat-option *ngFor="let relationshipWithVehicleOwner of relationshipWithVehicleOwnerList"
                          [value]="relationshipWithVehicleOwner.code">
                          {{ relationshipWithVehicleOwner.text }}
                        </mat-option>
                      </mat-select>
                    </mat-form-field>

                  </div>

                  <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px" *ngIf="dataForm.value.relationshipWithVehicleOwner == '3'"
                    style="background-color: rgb(214, 212, 212)">
                    <br>
                    <mat-form-field fxFlex="50" style="padding: 0px 15px 0px 15px;">
                      <br>
                      <mat-select placeholder="Relação entre o segurado e o terceiro" formControlName="kindShipWithThirdParty"
                        (selectionChange)="changeKindShipWithThirdParty($event.value)">
                        <mat-option *ngFor="let kindShipWithThirdParty of kindShipWithThirdPartyList" [value]="kindShipWithThirdParty.code">
                          {{ kindShipWithThirdParty.text }}
                        </mat-option>
                      </mat-select>
                    </mat-form-field>
                    <mat-form-field fxFlex="50" style="padding: 0px 15px 0px 15px;">
                      <input matInput placeholder="Data da compra do veículo" formControlName="boughtDate" [textMask]="{mask: dateMask}">
                    </mat-form-field>

                  </div>

                  <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px" *ngIf="dataForm.value.relationshipWithVehicleOwner == '3'"
                    style="background-color: rgb(214, 212, 212)">

                    <mat-form-field fxFlex="50" style="padding: 0px 0px 0px 15px;">
                      <mat-select placeholder="Veículo está com CRV assinado em nome do segurado?" formControlName="crvSigned"
                        (selectionChange)="changeCrvSigned($event.value)">
                        <mat-option *ngFor="let status of statusList" [value]="status.type">
                          {{ status.text }}
                        </mat-option>
                      </mat-select>
                    </mat-form-field>

                    <mat-form-field fxFlex="50" style="padding: 0px 0px 0px 15px;">
                      <mat-select placeholder="Já houve entrada da documentação de transferência no detran?"
                        formControlName="detranDocumentation">
                        <mat-option *ngFor="let status of statusList" [value]="status.type">
                          {{ status.text }}
                        </mat-option>
                      </mat-select>
                    </mat-form-field>
                    <br>
                  </div>

                  <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px" *ngIf="dataForm.value.relationshipWithVehicleOwner == '4'"
                    style="background-color: rgb(214, 212, 212)">
                    <br>
                    <mat-form-field fxFlex="50" style="padding: 0px 0px 0px 15px;">
                      <br>
                      <mat-select placeholder="Veículo está com CRV assinado em nome do segurado?" formControlName="crvSigned"
                        (selectionChange)="changeCrvSigned($event.value)">
                        <mat-option *ngFor="let status of statusList" [value]="status.type">
                          {{ status.text }}
                        </mat-option>
                      </mat-select>
                    </mat-form-field>

                    <mat-form-field fxFlex="50" style="padding: 0px 0px 0px 15px;">
                      <mat-select placeholder="Relação entre o segurado e o terceiro 0" formControlName="kindShipWithThirdParty"
                        (selectionChange)="changeKindShipWithThirdParty($event.value)">
                        <mat-option *ngFor="let kindShipWithThirdParty of kindShipWithThirdPartyList" [value]="kindShipWithThirdParty.code">
                          {{ kindShipWithThirdParty.text }}
                        </mat-option>
                      </mat-select>
                    </mat-form-field>
                    <br>
                  </div>

                  <br *ngIf="dataForm.value.relationshipWithVehicleOwner == '3' || dataForm.value.relationshipWithVehicleOwner == '4'">

                  <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px" *ngIf="dataForm.value.motoristPersonType != '3'">
                    <mat-form-field fxFlex="50">
                      <mat-select placeholder="Possui garagem no trabalho?" formControlName="garageWork" required>
                        <mat-option *ngFor="let garageWork of garageWorkList" [value]="garageWork.code">
                          {{ garageWork.text }}
                        </mat-option>
                      </mat-select>
                    </mat-form-field>
                    <mat-form-field fxFlex="50">
                      <mat-select placeholder="Possui garagem no local de estudo?" formControlName="garageStudy"
                        required>
                        <mat-option *ngFor="let garageStudy of garageStudyList" [value]="garageStudy.code">
                          {{ garageStudy.text }}
                        </mat-option>
                      </mat-select>
                    </mat-form-field>
                  </div>

                  <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px" *ngIf="dataForm.value.motoristPersonType != '3'">
                    <mat-form-field fxFlex="50">
                      <mat-select placeholder="Possui garagem no local de pernoite do veículo (residência)?"
                        formControlName="garageResidential" required>
                        <mat-option *ngFor="let garageResidential of garageResidentialList" [value]="garageResidential.code">
                          {{ garageResidential.text }}
                        </mat-option>
                      </mat-select>
                    </mat-form-field>
                    <mat-form-field fxFlex="50">
                      <mat-select placeholder="Quilometragem rodada mensalmente no veículo" formControlName="vehicleMonthlyUsage"
                        required>
                        <mat-option *ngFor="let vehicleMonthlyUsage of vehicleMonthlyUsageList" [value]="vehicleMonthlyUsage.code">
                          {{ vehicleMonthlyUsage.text }}
                        </mat-option>
                      </mat-select>
                    </mat-form-field>
                  </div>

                  <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">

                    <mat-form-field fxFlex="50" *ngIf="dataForm.value.personType == '1'">
                      <input type="text" placeholder="Profissão do segurado" matInput formControlName="profession"
                        [formControl]="occupationControl" [matAutocomplete]="autoOccupation" required>
                      <mat-autocomplete autoActiveFirstOption #autoOccupation="matAutocomplete" (optionSelected)='changeSelectedOccupation($event.option.value)'>
                        <mat-option *ngFor="let occupation of occupationsOptions | async" [value]="occupation['nmProfissao']">
                          {{occupation['nmProfissao']}}
                        </mat-option>
                      </mat-autocomplete>
                    </mat-form-field>
                    <mat-form-field fxFlex="50" *ngIf="dataForm.value.personType == '2'">
                      <input type="text" placeholder="Ramo de Atividade" matInput formControlName="mainActivity"
                        [formControl]="mainActivityControl" [matAutocomplete]="autoMainActivity" required>
                      <mat-autocomplete autoActiveFirstOption #autoMainActivity="matAutocomplete" (optionSelected)='changeSelectedMainActivity($event.option.value)'>
                        <mat-option *ngFor="let mainActivity of mainActivityOptions | async" [value]="mainActivity['nmRamoAtividade']">
                          {{mainActivity['nmRamoAtividade']}}
                        </mat-option>
                      </mat-autocomplete>
                    </mat-form-field>
                    <mat-form-field fxFlex="50" *ngIf="dataForm.value.personType == '2' && dataForm.value.motoristPersonType == '3'">
                      <input matInput placeholder="Data constituição da empresa" formControlName="birthDate"
                        [textMask]="{mask: dateMask}" required>
                    </mat-form-field>
                    <mat-form-field fxFlex="50" *ngIf="dataForm.value.motoristPersonType != '3'">
                      <mat-select placeholder="Deseja cobertura para outros condutores até 25 anos?" formControlName="usedUnder25YearsOld"
                        (selectionChange)="changeMotorist25($event.value)" required>
                        <mat-option *ngFor="let status of statusList" [value]="status.type">
                          {{ status.text }}
                        </mat-option>
                      </mat-select>
                    </mat-form-field>
                  </div>

                  <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">

                    <mat-form-field fxFlex="50" *ngIf="dataForm.value.motoristPersonType != '3' && dataForm.value.personType == '1'">
                      <input matInput placeholder="Data nascimento do segurado" formControlName="birthDate" [textMask]="{mask: dateMask}"
                        required>
                    </mat-form-field>

                    <mat-form-field fxFlex="50" *ngIf="dataForm.value.personType == '2' && dataForm.value.motoristPersonType != '3'">
                      <input matInput placeholder="Data constituição da empresa" formControlName="birthDate"
                        [textMask]="{mask: dateMask}" required>
                    </mat-form-field>

                    <mat-form-field fxFlex="50" *ngIf="dataForm.value.motoristPersonType != '3' && dataForm.value.personType == '1'">
                      <mat-select placeholder="Sexo do segurado" formControlName="gender" required>
                        <mat-option *ngFor="let gender of personGenderList" [value]="gender.key">
                          {{ gender.value }}
                        </mat-option>
                      </mat-select>
                    </mat-form-field>
                  </div>

                  <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">

                    <mat-form-field fxFlex="50" *ngIf="dataForm.value.motoristPersonType != '3'">
                      <mat-select placeholder="Estado civil do segurado" formControlName="maritialStatus" required>
                        <mat-option *ngFor="let ma of maritialStatusList" [value]="ma.code">
                          {{ ma.text }}
                        </mat-option>
                      </mat-select>
                    </mat-form-field>
                    <mat-form-field fxFlex="50">
                      <input matInput placeholder="CEP de pernoite do veículo" formControlName="postalCode" [textMask]="{mask: postalCodeMask}"
                        required>
                    </mat-form-field>
                  </div>
                </form>
              </div>

              <div class="panel" *ngIf="!dataForm.value.vehicleOwner || (dataForm.value.personType == '2' && dataForm.value.motoristPersonType != '3')">
                <div class="panel-title" [ngClass]="primaryColorBrand">
                  <span>
                    <mat-icon class="white-fg">directions_car</mat-icon>
                  </span>
                  <span class="white-fg">&nbsp;Dados do Condutor Principal </span>
                </div>
                <div class="panel-content">
                  <form [formGroup]="driverForm">

                    <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                      <mat-form-field fxFlex fxFlex="100">
                        <input matInput placeholder="Nome do condutor" formControlName="name" required>
                      </mat-form-field>
                    </div>

                    <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">

                      <mat-form-field fxFlex="50">
                        <input matInput placeholder="Data nascimento do condutor" formControlName="birthDate"
                          [textMask]="{mask: dateMask}" required>
                      </mat-form-field>

                      <mat-form-field fxFlex fxFlex="50">
                        <input matInput placeholder="CPF do condutor" formControlName="registrationNumber" [textMask]="{mask: cpfMask}"
                          required>
                      </mat-form-field>

                    </div>

                    <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">

                      <mat-form-field fxFlex fxFlex="50">
                        <mat-select placeholder="Estado civil" formControlName="maritalStatus" required>
                          <mat-option *ngFor="let ma of maritialStatusList" [value]="ma.code">
                            {{ ma.text }}
                          </mat-option>
                        </mat-select>
                      </mat-form-field>

                      <mat-form-field fxFlex="50">
                        <mat-select placeholder="Sexo do condutor" formControlName="gender" required>
                          <mat-option *ngFor="let gender of personGenderList" [value]="gender.key">
                            {{ gender.value }}
                          </mat-option>
                        </mat-select>
                      </mat-form-field>

                    </div>

                  </form>
                </div>
              </div>

              <div class="panel" *ngIf="(dataForm.value.relationshipWithVehicleOwner == '3' || dataForm.value.relationshipWithVehicleOwner == '4')">
                <div class="panel-title" [ngClass]="primaryColorBrand">
                  <span>
                    <mat-icon class="white-fg">directions_car</mat-icon>
                  </span>
                  <span class="white-fg">&nbsp;Dados do Proprietário do Veículo </span>
                </div>
                <div class="panel-content">
                  <form [formGroup]="ownerForm">

                    <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                      <mat-form-field fxFlex fxFlex="50">
                        <input matInput placeholder="Nome do Proprietário" formControlName="name" required>
                      </mat-form-field>
                      <mat-form-field fxFlex="50">
                        <mat-select placeholder="Sexo do Proprietário" formControlName="gender" required>
                          <mat-option *ngFor="let gender of personGenderList" [value]="gender.key">
                            {{ gender.value }}
                          </mat-option>
                        </mat-select>
                      </mat-form-field>
                    </div>

                    <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                      <mat-form-field fxFlex fxFlex="50">
                        <input matInput placeholder="CPF do Proprietário" formControlName="thirdPartyNationalIdentity"
                          [textMask]="{mask: cpfMask}" required>
                      </mat-form-field>

                      <mat-form-field fxFlex="50">
                        <input matInput placeholder="Data Nascimento do Proprietário" formControlName="birthdate"
                          [textMask]="{mask: dateMask}" required>
                      </mat-form-field>
                    </div>

                  </form>
                </div>
              </div>
            </div>


            <div fxLayout="row" fxLayoutAlign="end center">
              <button mat-button matStepperPrevious>Anterior</button>
              <button mat-raised-button color="primary" (click)="validateConductorFilds()">
                Próximo
              </button>

            </div>
          </mat-step>
          <!-- // PROPOSAL STEP -->


          <!-- QUOTE STEP -->
          <mat-step [completed]="calcStepCompleted">
            <ng-template matStepLabel>Cotação</ng-template>

            <div fxFlex="100" fxLayout="row" fxLayoutAlign="space-between center">
              <div class="fipe" fxFlex="70">
                Seu veículo {{vehicle.model}} está avaliado em {{vehiclePrice}} (referência FIPE)
              </div>
              <div fxFlex="30">
                <div class="p-8" fxLayout="row" fxLayoutAlign="end center" fxLayoutGap="10px">
                  <button mat-icon-button (click)="quotePrintDialog()">
                    <mat-icon>print</mat-icon>
                  </button>
                  <!-- <button mat-icon-button>
                                <mat-icon>mail_outline</mat-icon>
                                </button> -->
                </div>
              </div>
            </div>

            <div fxFlex="100" fxLayout="row" fxLayoutAlign="center stretch" fxLayoutGap="10px">

              <!-- COBERTURAS -->
              <div fxFlex="70">
                <div class="panel" fxFlexFill>
                  <div class="panel-title" [ngClass]="primaryColorBrand">
                    <span>
                      <mat-icon>verified_user</mat-icon>
                    </span>
                    <span>&nbsp;Coberturas</span>
                  </div>
                  <div class="panel-content">
                    <form [formGroup]="coveragesForm">
                      <div class="content p-8">
                        <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                          <mat-slide-toggle (change)="onCoverageChangeDefault()" class="m-8" fxFlex="30"
                            formControlName="rouboFurtoCoverage">
                            Roubo/Furto
                          </mat-slide-toggle>
                          <span fxFlex="70" class="default-coverage">
                            * A cobertura de Roubo/Furto já está inclusa por padrão.
                          </span>
                        </div>

                        <div *ngFor="let coverage of coveragesList; index as i">
                          <hr *ngIf="coverage.idProdutoCobertura != '753'">

                          <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px" *ngIf="coverage.idProdutoCobertura != '753'" >
                            <mat-slide-toggle formControlName="{{coverage.idProdutoCobertura}}" class="m-8" fxFlex="50" (change)="onCoverageChange($event, coverage.idProdutoCobertura, coverage.vlLimiteIndenizacao)">
                              {{coverage.nmCobertura}}
                            </mat-slide-toggle>
                            <!-- formControlName="{{coverage.nmCobertura}}_slide" -->
                            <!-- (change)="onCoverageChange($event, coverage.idProdutoCobertura, coverage.nmCobertura, coverage.vlLimiteIndenizacao)"> -->
                            <!-- <mat-form-field fxFlex="50" fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px" -->
                            <!-- *ngIf="coverage.idProdutoCobertura != '753'"> -->


                            <!-- <input  matInput placeholder="Limite da Cobertura"  formControlName="{{coverage.nmCobertura}}" >  -->

                            <!-- </mat-form-field> -->
                            <!-- <span fxFlex="40"> {{ coveragesForm.value[coverage.nmCobertura]| currency : 'BRL'}}</span>  -->
                            <span fxFlex="10">LMI</span>
                            <span fxFlex="40"> {{ coverage.vlLimiteIndenizacao | currency : 'BRL'}}</span>

                            <!-- <mat-form-field fxFlex="50">
                                                                <input matInput placeholder="Valor da adesão" required formControlName="accession">
                                                                <mat-error *ngIf="productForm.get('accession').hasError('required')">
                                                                  Por favor, informe um valor
                                                                </mat-error>
                                                              </mat-form-field> -->
                          </div>



                        </div>


                      </div>
                    </form>
                  </div>
                </div>
              </div>
              <!-- // COBERTURAS -->

              <!-- VALORES SEGURO -->
              <div fxFlex="30">
                <div class="panel" fxFlexFill *ngIf="quote">
                  <div class="panel-title" [ngClass]="primaryColorBrand">
                    <span>
                      <mat-icon>attach_money</mat-icon>
                    </span>
                    <span>Valores do Seguro</span>
                  </div>
                  <div class="panel-content">

                    <div class="prices p-8">

                      <div fxLayout="column" fxLayoutAlign="start center" fxLayoutGap="10px">

                        <div class="total-price mt-8" fxFlex>

                          <ng-container *ngIf="quoteIsChanged">
                            TOTAL R$ --
                          </ng-container>
                          <ng-container *ngIf="!quoteIsChanged">
                            TOTAL {{ (quote.totalPrice + 300 + 360) | currency : 'BRL' }}
                          </ng-container>
                        </div>

                        <span fxFlex *ngIf="!quoteIsChanged" class="warn-value-changed">&nbsp;</span>
                        <span fxFlex *ngIf="quoteIsChanged" class="warn-value-changed">recalcule a cotação</span>

                        <div fxLayout="column" fxLayoutAlign="space-between start">
                          <span class="details-price" fxFlex>
                            Custo Seguro (Prêmio + IOF) {{ quoteIsChanged ? 'R$ --' : quote.totalPrice | currency :
                            'BRL'}}
                          </span>
                          <span class="details-price" fxFlex>
                            Custo Instalação {{ quoteIsChanged ? 'R$ --' : 'R$ 300,00'}}
                          </span>
                          <span class="details-price" fxFlex>
                            Custo Monitoramento 24h {{ quoteIsChanged ? 'R$ --' : 'R$ 360,00'}}
                          </span>
                        </div>

                        <div class="actions" fxLayout="column" fxLayoutAlign="start end" fxLayoutGap="10px">

                          <ng-container>

                            <button type="button"
                                    color="primary"
                                    class="buttons"
                                    mat-raised-button
                                    [disabled]="quoteIsChanged"
                                    (click)="showInstallments()">
                                    VER PARCELAS
                            </button>

                            <button type="button" color="primary" class="buttons" mat-raised-button (click)="recalculate()">
                              RECALCULAR
                            </button>

                            <button type="button" color="accent" class="buttons" mat-raised-button [disabled]="quoteIsLoad"
                              (click)="contractInsurance()">
                              PREENCHER PROPOSTA
                            </button>
                          </ng-container>

                          <ng-container *ngIf="quoteIsLoad">
                            <button color="primary" class="buttons" matStepperNext mat-raised-button>
                              Próximo
                            </button>
                          </ng-container>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
              <!-- // VALORES SEGURO -->
            </div>
          </mat-step>
          <!-- // QUOTE STEP -->

          <!-- PROPOSAL STEP -->
          <mat-step [completed]="proposalStepCompleted" [hidden]="!calcStepCompleted">
            <ng-template matStepLabel>Preencher Proposta</ng-template>

            <tnm-customer-documents></tnm-customer-documents>
            <tnm-customer-address></tnm-customer-address>

            <div class="panel">
              <div class="panel-title" [ngClass]="primaryColorBrand">
                <span>
                  <mat-icon class="white-fg">directions_car</mat-icon>
                </span>
                <span class="white-fg">&nbsp;Informações Adicionais</span>
              </div>
              <div class="panel-content">
                <form [formGroup]="vehicleDetailsForm">

                  <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                    <mat-form-field fxFlex="50">
                      <input matInput placeholder="Placa" formControlName="licensePlate" minlength="7" [textMask]="{mask: licensePlateMask}"
                        required>
                    </mat-form-field>

                    <mat-form-field fxFlex="50">
                      <input matInput #input placeholder="Nº do chassi" formControlName="chassi" maxlength="17"
                        required>
                      <mat-hint position="end">{{input.value?.length || 0}}/17</mat-hint>
                     
                    </mat-form-field>
                  </div>

                  <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                    <mat-form-field fxFlex="50">
                      <input matInput #inputRenavam  placeholder="Nº do RENAVAN" formControlName="renavam" maxlength="11"
                        required>
                        <mat-hint position="end">{{inputRenavam.value?.length || 0}}/11</mat-hint>
                        
                    </mat-form-field>

                    <mat-form-field fxFlex="50">
                      <mat-select placeholder="Cor" formControlName="color" required>
                        <mat-option *ngFor="let color of colorVehicleList" [value]="color">
                          {{color}}
                        </mat-option>
                      </mat-select>
                    </mat-form-field>
                  </div>

                  <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                    <mat-form-field fxFlex="50">
                      <input matInput type="number" placeholder="Quilometragem do veículo" formControlName="mileage"
                        required>
                    </mat-form-field>

                    <mat-form-field fxFlex="50">
                      <mat-select placeholder="O veículo é financiado" formControlName="financed" required>
                        <mat-option *ngFor="let status of statusList" [value]="status.type">
                          {{ status.text }}
                        </mat-option>
                      </mat-select>
                    </mat-form-field>
                  </div>

                  <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px" *ngIf="dataForm.value.personType == '1'">
                    <mat-form-field fxFlex="100">
                      <mat-select placeholder="Exerceu nos últimos 5 (cinco) anos ou exerce, atualmente, no Brasil ou fora dele, cargos, empregos ou funções públicas relevantes?"
                        formControlName="politicallyExposedPerson" required>
                        <mat-option *ngFor="let status of politicallyExposedPersonList" [value]="status">
                          {{ status }}
                        </mat-option>
                      </mat-select>
                    </mat-form-field>
                  </div>

                  <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px" *ngIf="dataForm.value.personType == '1'">
                    <mat-form-field fxFlex="100">
                      <mat-select placeholder="Possui familiares que exerceram nos últimos 5 anos, ou exercem, atualmente, no Brasil ou fora dele, cargos, empregos ou funções públicas?"
                        formControlName="relationshipWithPoliticallyExposedPerson" required>
                        <mat-option *ngFor="let status of politicallyExposedPersonList" [value]="status">
                          {{ status }}
                        </mat-option>
                      </mat-select>
                    </mat-form-field>
                  </div>

                </form>
              </div>
            </div>

            <div fxLayout="row" fxLayoutAlign="end center">
              <button mat-button matStepperPrevious>Anterior</button>
              <button color="primary" mat-raised-button (click)="proposalComplete()">Próximo</button>
            </div>
          </mat-step>
          <!-- // PROPOSAL STEP -->

          <!-- PAYMENT STEP -->
          <mat-step [completed]="paymentStepCompleted">
            <ng-template matStepLabel>Pré Pagamento</ng-template>
            <div fxFlex="100" fxLayout="row" fxLayoutAlign="center stretch" fxLayoutGap="10px">

              <!-- COBERTURAS -->
              <div fxFlex="70">
                <tnm-quote-payment (onPaymentTypeChanged)="onPaymentTypeChanged($event)"></tnm-quote-payment>
              </div>
              <!-- VALORES SEGURO -->
              <div fxFlex="30">
                <div class="panel" fxFlexFill>
                  <div class="panel-title" [ngClass]="primaryColorBrand">
                    <span>
                      <mat-icon>attach_money</mat-icon>
                    </span>
                    <span>Valores do Seguro</span>
                  </div>
                  <div class="panel-content">

                    <div class="prices p-8">

                      <div fxLayout="column" fxLayoutAlign="start center" fxLayoutGap="10px">

                        <div class="total-price mt-8" fxFlex>

                          <ng-container *ngIf="quoteIsChanged">
                            TOTAL R$ --
                          </ng-container>
                          <ng-container *ngIf="!quoteIsChanged">
                            TOTAL {{ (quote.totalPrice + 300 + 360) | currency : 'BRL' }}
                          </ng-container>
                        </div>

                        <span fxFlex *ngIf="!quoteIsChanged" class="warn-value-changed">&nbsp;</span>
                        <span fxFlex *ngIf="quoteIsChanged" class="warn-value-changed">recalcule a cotação</span>

                        <div fxLayout="column" fxLayoutAlign="space-between start">
                          <span class="details-price" fxFlex>
                            Custo Seguro (Prêmio + IOF) {{ quoteIsChanged ? 'R$ --' : quote.totalPrice | currency :
                            'BRL'}}
                          </span>
                          <span class="details-price" fxFlex>
                            Custo Instalação {{ quoteIsChanged ? 'R$ --' : 'R$ 300,00'}}
                          </span>
                          <span class="details-price" fxFlex>
                            Custo Monitoramento 24h {{ quoteIsChanged ? 'R$ --' : 'R$ 360,00'}}
                          </span>
                        </div>

                        <!-- <div class="actions" fxLayout="column" fxLayoutAlign="start end" fxLayoutGap="10px">
    
                                                <button type="button"
                                                        color="primary"
                                                        class="buttons"
                                                        mat-raised-button
                                                        [disabled]="quoteIsChanged"
                                                        (click)="showInstallments()">
                                                        VER PARCELAS
                                                </button>
                                                
                                            </div> -->
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <!-- // VALORES SEGURO  -->
          </mat-step>
          <!-- // PAYMENT STEP -->

          <!-- PROPOSTAL STEP -->
          <mat-step>
            <ng-template matStepLabel>Proposta</ng-template>

            <div class="order-details tab-content p-24" fusePerfectScrollbar>

              <!-- <div *ngIf="quote && quote.insurerStatusId" class="h3 " [ngClass]="quote && (quote.insurerStatusId == 'REFUSED' || quote.insurerStatusId == 'CANCELLED') ? 'red-fg' : 'black-fg' "><b>*{{quote.insurerStatusDescription}}</b></div> -->

              <div class="panel price-table style-1 mat-elevation-z4 " fxLayout="column">

                <div class="panel-title" [ngClass]="primaryColorBrand">
                  <span>
                    <mat-icon class="white-fg">description</mat-icon>
                  </span>
                  <span class="white-fg">&nbsp;Resumo</span>

                  <div fxLayout="row" fxFlex="1 0 auto" fxLayoutGap="10px">
                    <div fxFlex="80"> </div>
                    <div fxFlex="20" fxLayoutAlign="end end">
                      <button color="white" class="mat-white-fg" mat-raised-button [disabled]="quote && quote.insurerStatusId" [hidden]="quote.status == 'PROPOSAL'" (click)="sendProposal()">
                        Enviar Proposta
                      </button>
                    </div>
                  </div>
                </div>
                
                <div class="section pb-32" style="padding-left: 10px; padding-right: 10px; padding-top: 10px">

                  <div class="pb-16" fxLayout="row" fxLayoutAlign="start center">
                    <mat-icon class="m-0 mr-16 secondary-text">account_circle</mat-icon>
                    <div class="h2 secondary-text">Cliente</div>
                  </div>
                  <table class="simple">
                    <thead>
                      <tr>
                        <th>Nome</th>
                        <th>Email</th>
                        <th>Telefone</th>
                        <th>Endereço</th>
                      </tr>
                    </thead>
                    <tbody>
                      <tr>
                        <td>
                          <span class="email text-truncate">{{(quote && quote.customer) ? quote.customer.name : '-'}}</span>
                        </td>
                        <td>
                          <span class="email text-truncate">{{(quote && quote.customer) ? quote.customer.email : '-'}}</span>
                        </td>
                        <td>
                          <span class="phone text-truncate">{{(quote && quote.customer) ? quote.customer.cellphone :
                            '-'}}</span>
                        </td>
                        <td>
                          <span class="company text-truncate">{{(quote && quote.customer) ?
                            quote.customer.addressStreet
                            : '-'}},&nbsp;{{(quote && quote.customer) ? quote.customer.addressNumber :
                            '-'}}&nbsp;&nbsp;{{(quote && quote.customer) ? quote.customer.addressCity : '-'}}</span>
                        </td>
                      </tr>
                    </tbody>
                  </table>
                </div>

                <div class="section pb-32" style="padding-left: 10px; padding-right: 10px;">

                  <div class="pb-16" fxLayout="row" fxLayoutAlign="start center">
                    <mat-icon class="m-0 mr-16 secondary-text">directions_car</mat-icon>
                    <div class="h2 secondary-text">Veículo</div>
                  </div>
                  <table class="simple">
                    <thead>
                      <tr>
                        <th>Modelo</th>
                        <th>Ano Fab/Modelo</th>
                        <th>Placa</th>
                        <th>Chassi</th>
                      </tr>
                    </thead>
                    <tbody>
                      <tr>
                        <td>
                          <span class="email text-truncate">{{(quote && quote.vehicle) ? quote.vehicle.modelName: '-'}}</span>
                        </td>
                        <td>
                          <span class="email text-truncate">{{(quote && quote.vehicle) ?
                            quote.vehicle.registrationYear:
                            '-'}} / {{(quote && quote.vehicle) ? quote.vehicle.modelYear: '-'}} </span>
                        </td>
                        <td>
                          <span class="phone text-truncate">{{(quote && quote.vehicle) ? quote.vehicle.licensePlate:
                            '-'}}</span>
                        </td>
                        <td>
                          <span class="company text-truncate">{{(quote && quote.vehicle) ? quote.vehicle.chassi: '-'}}</span>
                        </td>
                      </tr>
                    </tbody>
                  </table>
                </div>

                <div class="section pb-32" style="padding-left: 10px; padding-right: 10px;">
                  <div class="pb-16" fxLayout="row" fxLayoutAlign="start center">
                    <mat-icon class="m-0 mr-16 secondary-text">attach_money</mat-icon>
                    <div class="h2 secondary-text">Pagamento</div>
                  </div>
                  <table class="simple">
                    <thead>
                      <tr>
                        <th>Tipo</th>
                        <th>Bandeira</th>
                        <th>Número Cartão</th>
                        <th>Valor</th>
                      </tr>
                    </thead>
                    <tbody>
                      <tr>
                        <td>
                          <span class="email text-truncate" *ngIf="creditCard && creditCard.type">
                            {{paymentTypeEnumToString(creditCard.type)}}</span>
                        </td>
                        <td>
                          <span class="email text-truncate" *ngIf="creditCard ">{{creditCard.creditCardBrand ?
                            creditCard.creditCardBrand : '-'}}</span>
                        </td>
                        <td>
                          <span class="phone text-truncate" *ngIf="creditCard ">{{creditCard.creditCardNumber ?
                            creditCard.creditCardNumber : '-'}}</span>
                        </td>
                        <td>
                          <span class="company text-truncate" *ngIf="quote && quote.totalPrice">{{ (quote.totalPrice +
                            300 + 360) | currency : 'BRL' }}</span>
                        </td>
                      </tr>
                    </tbody>
                  </table>
                 
                  <div class="section pb-32" style="padding-left: 10px; padding-right: 10px;">
                    <div class="pb-16" fxLayout="row" fxLayoutAlign="start center">
                      <mat-icon class="m-0 mr-16 secondary-text">attach_money</mat-icon>
                      <div class="h2 secondary-text">Custos do Seguro</div>
                    </div>
                    <table class="simple">

                      <tbody>

                        <tr>
                          <td>Custo Seguro (Prêmio + IOF)</td>
                          <td>&nbsp;&nbsp;</td>
                          <td>&nbsp;&nbsp;</td>
                          <td>{{ quoteIsChanged ? 'R$ --' : quote.totalPrice | currency : 'BRL'}}</td>
                        </tr>
                        <tr>
                          <td>Custo Instalação</td>
                          <td>&nbsp;&nbsp;</td>
                          <td>&nbsp;&nbsp;</td>
                          <td>{{ quoteIsChanged ? 'R$ --' : 'R$ 300,00'}}</td>
                        </tr>
                        <tr>
                          <td>Custo Monitoramento 24h</td>
                          <td>&nbsp;&nbsp;</td>
                          <td>&nbsp;&nbsp;</td>
                          <td>{{ quoteIsChanged ? 'R$ --' : 'R$ 360,00'}}</td>
                        </tr>
                        <tr>
                          <td>TOTAL</td>
                          <td>&nbsp;&nbsp;</td>
                          <td>&nbsp;&nbsp;</td>
                          <td>{{ (quote.totalPrice + 300 + 360) | currency : 'BRL' }}</td>
                        </tr>
                      </tbody>
                    </table>

                  </div>

                  <div class="pb-16" fxLayout="row" fxLayoutAlign="start center" *ngIf="creditCardInstallmentsList && creditCardInstallmentsList.length > 0">
                    <mat-icon class="m-0 mr-16 secondary-text">attach_money</mat-icon>
                    <div class="h2 secondary-text">Parcelamento Instalação</div>
                  </div>
                  <table class="simple" *ngIf="creditCardInstallmentsList && creditCardInstallmentsList.length > 0">

                    <tbody>
                      <tr *ngFor="let item of creditCardInstallmentsList">
                        <td>{{item.number}}º parcela</td>
                        <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
                        <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
                        <td>{{item.value | currency : 'BRL'}}</td>
                      </tr>
                    </tbody>
                  </table>
                 
                  <div class="pb-16" fxLayout="row" fxLayoutAlign="start center">
                    <mat-icon class="m-0 mr-16 secondary-text">attach_money</mat-icon>
                    <div class="h2 secondary-text">Recorrência Seguro</div>
                  </div>
                  <table class="simple">

                    <tbody>
                      <tr *ngFor="let item of installmentsList">
                        <td>{{item.number}}º recorrência</td>
                        <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
                        <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
                        <td>{{item.value | currency : 'BRL'}}</td>
                      </tr>
                    </tbody>
                  </table>

                </div>

                <div class="section pb-32" style="padding-left: 10px; padding-right: 10px;">

                  <div class="pb-4" fxLayout="row" fxLayoutAlign="start center">
                    <mat-icon class="m-0 mr-16 secondary-text">verified_user</mat-icon>
                    <div class="h2 secondary-text">Coberturas Contratadas</div>
                  </div>
                  <table class="simple">

                    <tbody>
                       
                            <tr *ngFor="let coverage of coveragesSelectedList">
                                <td>
                                  <span class="name text-truncate">{{coverage.nmCobertura}}</span>
                                </td>
                            </tr>
                         
                      <!-- <tr>
                        <td>
                          <span class="name text-truncate">Roubo/Furto</span>
                        </td>
                      </tr>
                      <tr> -->
                    </tbody>
                  </table>
                </div>

                <div class="section pb-32" style="padding-left: 10px; padding-right: 10px;">
                  <div class="pb-16" fxLayout="row" fxLayoutAlign="start center">
                    <mat-icon class="m-0 mr-16 secondary-text">schedule</mat-icon>
                    <div class="h2 secondary-text">Histórico</div>
                  </div>
                  <table class="simple">
                    <thead>
                      <tr>
                        <th>Status</th>
                        <th [hidden]="(quote && quote['lifecycle']) ? false : true">Data</th>
                        <th>Observação</th>
                      </tr>
                    </thead>
                    <tbody>
                      <tr>
                        <td>
                          <span class="name text-truncate">{{(quote && quote.status) ?
                            quoteStatusAsString(quote.status)
                            : '-'}}</span>
                        </td>
                        <td>
                          <span class="email text-truncate">{{(quote && quote['lifecycle']) ?
                            (quote['lifecycle']['lastUpdate'] | date : 'dd/MM/yyyy HH:mm') : '-'}}</span>
                        </td>
                        <td>
                          <span class="phone text-truncate">-</span>
                        </td>
                      </tr>
                      <tr *ngIf="quote.sentDate != null">
                        <td>
                          <span class="name text-truncate">Proposta Enviada</span>
                        </td>
                        <td>
                          <span class="email text-truncate">{{quote.sentDate | date : 'dd/MM/yyyy HH:mm'}}</span>
                        </td>
                        <td>
                          <span class="phone text-truncate">-</span>
                        </td>
                      </tr>
                    </tbody>
                  </table>
                </div>
              </div>
            </div>
          </mat-step>
          <!-- PROPOSTAL STEP -->

        </mat-horizontal-stepper>
      </div>
      <!-- / CONTENT -->

    </div>
    <!-- / CONTENT CARD -->

  </div>
  <!-- / CENTER -->
</div>
